## groovy.lang
Class MetaProperty

Represents a property on a bean which may have a getter and/or a setter

author:
  James Strachan

version:
  $Revision: 7922 $

Field Summary
`String` | `name`
`Class` | `type`

Constructor Summary
`MetaProperty(String name, Class type)`

Method Summary
`int` | `getModifiers()`
`String` | `getName()`
`Object` | `getProperty(Object object)`
`Class` | `getType()`
`void` | `setProperty(Object object, Object newValue)`

Constructor Detail

### MetaProperty

    public MetaProperty(String name, Class type)

Method Detail

### getModifiers

    public int getModifiers()

### getName

    public String getName()

  return:
    the property of the given object
  throws:
    Exception if the property could not be evaluated

### getProperty

    public Object getProperty(Object object)

  return:
    the property of the given object
  throws:
    Exception if the property could not be evaluated

### getType

    public Class getType()

  return:
    the type of the property

### setProperty

    public void setProperty(Object object, Object newValue)

  return:
    the property of the given object
  throws:
    Exception if the property could not be evaluated